## subcommander 2.0.0~b5p2

=== doc/docbook/guide/Makefile ===
# Licensed to the public under the terms of the GNU GPL,
# see the file COPYING for details.
#
# Creates the HTML version of the subcommander user guide.
#
# run ./gen_version.rb from the source root dir to generate
# version.out.xml

STYLESHEET=/usr/share/xml/docbook/stylesheet/nwalsh/html/chunk.xsl
SOURCE=guide.xml
DEST_DIR=html/

html:
	xsltproc -param chunk.first.sections 1 \
           -param ignore.image.scaling 1 \	
	         -stringparam base.dir $(DEST_DIR) \
	         --xinclude \
		 $(STYLESHEET) $(SOURCE)

install: html
	mkdir -p $(DESTDIR)/images
	cp -a html/* $(DESTDIR)
	cp -a images/*.png $(DESTDIR)/images

clean:
	-rm -rf html
