## subcommander 2.0.0~b5p1

=== debian/changelog ===
subcommander (2.0.0~b5p1-3) unstable; urgency=low

  * New patches:
    + 93-edit-crash.patch from upstream to fix segmentation fault on the
      edit bookmark action (LP: #513660).
    + 94-whatsthis.patch: a minor fix for "what's this" help text.
  * Switch to the 3.0 (quilt) source format. Drop build dependency on quilt
    and the debian/README.source file.
  * Update libboost-dev version in build dependencies.
  * Standards-Version: 3.9.1 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 12 Sep 2010 11:51:20 +0200

subcommander (2.0.0~b5p1-2) unstable; urgency=low

  * Build depend on fl-cow >= 0.6-4~ (closes: #570190).
  * Standards-Version: 3.8.4 (no changes) 

 -- Robert Luberda <robert@debian.org>  Thu, 11 Mar 2010 17:33:03 +0100

subcommander (2.0.0~b5p1-1) unstable; urgency=low

  * New upstream release.
  * New patches:
    + 41-spelling.patch: fix spelling issues found by lintian;
    + 71-dont-require-svn.patch: don't require svn command for package builds;
    + 72-disable-sasl.patch: don't link with sasl library;
    + 92-gcc-warnings.patch: fix some g++ warnings.
  * Remove 999-autostuff.patch, call autootools during build process instead,
    rework build process, use fl-cow for copy-on-write semantics.
  * debian/control:
    + remove XB-Tag fields;
    + add $misc:Depends for subcommander-doc;
    + adjust build dependencies.
  * Fix debian/watch file.

 -- Robert Luberda <robert@debian.org>  Sat, 09 Jan 2010 13:25:54 +0100

subcommander (2.0.0~b4-5) unstable; urgency=low

  * 91-FTBFS-svn-props.patch: Fix FTBFS due to missing <svn_props.h> 
    includes (closes: #542997).
  * Standards-Version: 3.8.3 (no changes) 
  * Add a debian/README.source file.
  * Change package section to vcs to fix override disparity.

 -- Robert Luberda <robert@debian.org>  Sun, 30 Aug 2009 10:43:24 +0200

subcommander (2.0.0~b4-4) unstable; urgency=low

  * Uprgade build-dependencies:
    + use libdb-dev instead of libdb4.6-dev (closes: #530482);
    + switch to boost 1.38.
  * Standards-Version: 3.8.1 (no changes) 

 -- Robert Luberda <robert@debian.org>  Sun, 07 Jun 2009 09:41:28 +0200

subcommander (2.0.0~b4-3) unstable; urgency=low

  * 90-FTBFS-gcc4.4.patch: fix FTBFS with gcc4.4 (closes: #506781).
  * Fix build system not to regenerate autoconf files at build time:
    + 10-maintainer-mode.patch: add AM_MAINTAINER_MODE to configure.ac;
    + 999-autostuff.patch: autogenerated changes from autoreconf;
    + refresh other patches;
    + debian/rules: pass --disable-maintainer-mode to configure.
  * Fix linitian infos/warnings:
    + spelling error in description and doc-base file;
    + add missing patch descriptions.
  * Replace libbost1.35-dev with libboost1.37-dev in build-dependencies.

 -- Robert Luberda <robert@debian.org>  Sun, 01 Feb 2009 08:18:29 +0100

subcommander (2.0.0~b4-2) unstable; urgency=low

  * Upload to unstable.
  * Improve man pages (closes: #413137).

 -- Robert Luberda <robert@debian.org>  Mon, 17 Nov 2008 20:39:39 +0100

subcommander (2.0.0~b4-1) experimental; urgency=low

  * Adopt package (closes: #491019).
  * New upstream release (beta version):
    + loggraph segfault fixed by upstream (closes: #428978).
  * Switch to quilt, update patches for the new upstream version.
  * 20-create-doc.patch: don't require net connection to generate docs. 
  * 60-url-from-trunk-crash.patch: new, fix segmentation fault on getting url 
    from trunk.
  * 70-disable-neon.patch: don't link with neon (closes: #490351, #483996).
  * 80-po-Makefile.patch: fix po's Makefile.
  * Add a debian/watch file (lintian).
  * Standards-Version: 3.8.0
  * debian/control: Add homepage url
  * Add simple desktop file.
  * Update Build-Depends:
    + depend on libqt4-dev and libx11-dev;
    + switch to debhelper v7;
    + add libboost1.35-dev as an alternative to libboost-dev;
    + remove libneon-dev
  * Update section of doc-base and menu files.

 -- Robert Luberda <robert@debian.org>  Sat, 08 Nov 2008 12:24:08 +0100

subcommander (1.2.2-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Added debian/patches/50-ftbfs-gcc-4.3.dpatch to fix FTBFS with gcc 4.3
    (Closes: #417713)
    Thanks for the patch to Martin Michlmayr
  * Adjusted build depends to get this thing compiling

 -- Alexander Schmehl <tolimar@debian.org>  Sun, 06 Apr 2008 01:01:45 +0200

subcommander (1.2.2-1) unstable; urgency=medium

  * New upstream *stable* release. No new functionality, fixes
    the following upstream bugs:
    - (build) fix "if" statements in configure
    - (build) fix "extra qualification" compile error
    - (build) [Issue 180] fix missing include file
    - (subcommander) [Issue 176] fixed urls with spaces
    - (subcommander) [Issue 179] property conflicts can be set to resolved
    - (submerge) [Issue 177] fixed crash with files that have CR line endings
    - (submerge) drag and drop crash with an "empty" submerge
    - (submerge) drag and drop fileorder issue
  * debian/control: changed build dependency from libneon25-dev to libneon26-dev
    (closes: #400104)
  * Added debtags to central tags database and added them to debian/control
    (closes: #385541)
  * debian/patches: removed 10-extra-qual.dpatch, adjusted 00list.
    Patch is now part of upstream
  * debian/compat: changed debhelper compat 4 to 5
  * debian/control: changed build dependency on debhelper to >> 5.0.0

 -- Andreas Fester <Andreas.Fester@gmx.de>  Mon, 20 Nov 2006 21:13:20 +0100

subcommander (1.2.1-1) unstable; urgency=low

  * New upstream release (closes: #384669)
  * debian/patches/10-extra-qual.dpatch: fixes compile error

 -- Andreas Fester <Andreas.Fester@gmx.de>  Tue, 24 Oct 2006 09:04:35 +0200

subcommander (1.2.0-2) unstable; urgency=medium

  * debian/control: changed build dependency libapr0-dev to libapr1-dev
    (closes: #391635)

 -- Andreas Fester <Andreas.Fester@gmx.de>  Sun,  8 Oct 2006 21:59:47 +0200

subcommander (1.2.0-1) unstable; urgency=low

  * New upstream release

