=== debian/control ===
Source: subcommander
Section: vcs
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper (>> 7.0.0), libqt4-dev (>= 4.4), libx11-dev,
 libboost-dev|libboost1.42-dev, libapr1-dev, libdb-dev, libsvn-dev, 
 libssl-dev, xsltproc, docbook-xsl, autotools-dev, dpkg-dev (>= 1.13.19), automake, fl-cow (>= 0.6-4~)
Standards-Version: 3.9.1
Homepage: http://subcommander.tigris.org/

Package: subcommander
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: subcommander-doc (= ${source:Version})
Description: Graphical client for Subversion
 Subcommander is a graphical client for Subversion which supports most
 Subversion features. Its tight integration of repository browser and
 working copy status allows to switch quickly between these views.
 Subcommander also contains submerge, a visual diff and merge tool for text
 files.
 .
 This package contains the subcommander and submerge applications.

Package: subcommander-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-base
Description: User guide for subcommander
 Subcommander is a graphical client for Subversion which supports most
 Subversion features. Its tight integration of repository browser and
 working copy status allows to switch quickly between these views.
 Subcommander also contains submerge, a visual diff and merge tool for text
 files.
 .
 This package contains the user guides for subcommander and submerge.
