## subcommander 2.0.0~b5p2

=== debian/changelog ===
subcommander (2.0.0~b5p2-6) unstable; urgency=medium

  * QA upload
  * Add build-dependency on zlib1g-dev (closes: #835797)
  * Fix a spelling error (word duplication) in d/copyright
  * Drop d/subcommander.menu since we have d/subcommander.desktop,
    following tech-ctte decision on #741573.

 -- Ralf Treinen <treinen@debian.org>  Sun, 28 Aug 2016 20:57:29 +0200

subcommander (2.0.0~b5p2-5.1) unstable; urgency=medium

  * control: Change build-dep to boost-all-dev.  Closes: #754246.

 -- Steve M. Robbins <smr@debian.org>  Wed, 09 Jul 2014 00:29:25 -0500

subcommander (2.0.0~b5p2-5) unstable; urgency=low

  * Orphaning package, maintainer set to Debian QA Group.
  * Add 97-FTBFS-gcc4.7.patch to fix build failure with g++ 4.7
    (closes: #678773).

 -- Robert Luberda <robert@debian.org>  Sun, 24 Jun 2012 16:42:29 +0200

subcommander (2.0.0~b5p2-4) unstable; urgency=low

  * New patches:
   + 72-dont-link-svn-private-libs.patch from Peter Samuelson to make
     subcommander installable again after recent binNMU (closes: #668825).
   + 73-autoconf-warnings.patch: fix autoconf warnings;
   + 91-gcc-warnings.patch: fix g++ undefined behaviour warning.
  * Switch to debhelper v9.
  * debian/control:
    + Standards-Version: 3.9.3 (no changes);
    + drop unneeded build dependency on libdb-dev;
    + update build dep. on debhelper;
    + use libboost1.49-dev as an alternative to libboost-dev;
    + add build-conflicts with libneon27-gnutls (<< 0.29.6-3~), see #667884.

 -- Robert Luberda <robert@debian.org>  Sun, 15 Apr 2012 17:31:48 +0200

subcommander (2.0.0~b5p2-3) unstable; urgency=low

  * 96-format-error.patch: new patch to fix compilation error when hardening
    options are turned on.
  * 11-srcdir.patch: new patch to make it possible to call configure from 
    outside of the source dir.
  * debian/rules: simplify the file and use dh-autoreconf instead of cow-based
    build tree.
  * debian/control:
    + Standards-Version: 3.9.2 (no changes);
    + remove build-dependency on fl-cow, add dh-autoreconf instead;
    + replace libbost1.42-dev with libboost1.46-dev in build-dependencies;
    + move docbook-xsl and xsltproc to Build-Depends-Indep;
    + fix spelling typo in descriptions (lintian);
    + reformat the dependency fields with wrap-and-sort command;
  * debian/man/subcommander.1: fix spelling typo (lintian).

 -- Robert Luberda <robert@debian.org>  Sun, 10 Apr 2011 14:02:51 +0200

subcommander (2.0.0~b5p2-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules: 
    + add support for build-arch, build-indep targets; 
    + build documentation in build-indep only;
    + make use of dpkg-buildflags, dh_auto_configure, dh_auto_build commands.
  * Move man pages from debian to debian/man.
  * The menu entry has been available for at least 2 years (LP: #217652). 
  * The `symbol lookup error' wasn't subcommander bug (LP: #389915).
  * Mention in the man pages that `The Subcommander Guide' is available
    in subcommander-doc (LP: #398509). Also add a link from subcommander-doc
    to the html docs in subcommander.

 -- Robert Luberda <robert@debian.org>  Sat, 12 Feb 2011 15:52:41 +0100

subcommander (2.0.0~b5p2-1) experimental; urgency=low

  * New upstream release:
  * Remove no longer needed patches 91-FTBFS-svn-props and 93-edit-crash.
  * Add 95_warnings.patch to fix some warnings.
  * Remove unused  $(QUILT_STAMPFN) from debian/rules.
  * Bump debhelper compat level to 8.

 -- Robert Luberda <robert@debian.org>  Sun, 23 Jan 2011 00:44:47 +0100
