=== debian/control ===
Source: subcommander
Section: vcs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: automake,
               autotools-dev,
               debhelper (>> 9),
               dh-autoreconf,
               libapr1-dev,
               libboost-all-dev,
               libqt4-dev (>= 4.4),
               libssl-dev,
               libsvn-dev,
               libx11-dev,
	       zlib1g-dev
Build-Depends-Indep: docbook-xsl, xsltproc
Build-Conflicts: libneon27-gnutls (<< 0.29.6-3~)
Standards-Version: 3.9.3
Homepage: http://subcommander.tigris.org/

Package: subcommander
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: subcommander-doc (= ${source:Version})
Description: Graphical client for Subversion
 Subcommander is a graphical client for Subversion which supports most
 Subversion features. Its tight integration of repository browser and
 working copy status allows one to switch quickly between these views.
 Subcommander also contains submerge, a visual diff and merge tool for text
 files.
 .
 This package contains the subcommander and submerge applications.

Package: subcommander-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-base
Description: User guide for subcommander
 Subcommander is a graphical client for Subversion which supports most
 Subversion features. Its tight integration of repository browser and
 working copy status allows one to switch quickly between these views.
 Subcommander also contains submerge, a visual diff and merge tool for text
 files.
 .
 This package contains the user guides for subcommander and submerge.
