=== debian/watch ===
# control file for the uscan(1) tool
version=3
opts=dversionmangle=s/~// \
http://subcommander.tigris.org/ \
	files/.*/Subcommander-(\d[\d.abp]+)\.tar\.gz
